oe-git-proxy: Redirect error messages to STDERR

oe-git-proxy script needs socat. If socat is not found,
an error message is issued on STDOUT. This leads to a misleading
git message:

fatal: protocol error: bad line length character: ERRO

instead of the intended message:

ERROR: socat binary not in PATH

Redirecting the error message to STDERR fixes this issue.

(From OE-Core rev: 960a7f7ae24e72efc165a431f8b91b3f3b176916)

Signed-off-by: Juro Bystricky <juro.bystricky@intel.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
This commit is contained in:
Juro Bystricky 2015-03-27 10:17:35 -07:00 committed by Richard Purdie
parent aa1438b56f
commit 88340ad522
1 changed files with 1 additions and 1 deletions

View File

@ -19,7 +19,7 @@
# Locate the netcat binary
SOCAT=$(which socat 2>/dev/null)
if [ $? -ne 0 ]; then
echo "ERROR: socat binary not in PATH"
echo "ERROR: socat binary not in PATH" 1>&2
exit 1
fi
METHOD=""